Home / Dicas e Tutoriais / Atualize o Gnome Shell para o 3.16 no Ubuntu 15.04

Atualize o Gnome Shell para o 3.16 no Ubuntu 15.04

Querendo saber como instalar/atualizar para o GNOME 3.16 no Ubuntu 15.04? 

Esta última versão do GNOME é estável, mas atualizá-lo na última versão do Ubuntu não acontece sem inconvenientes.

Antes de começarmos vamos recapitular o porquê.

Porque o GNOME 3.16 não está incluído no Ubuntu 15.04

A versão estável do GNOME 3.16 chegou março.

Ele vem com um monte de atualizações de aplicativos. Todos grandes, mas todos que chegam muito tarde no ciclo de desenvolvimento do Ubuntu para ser incluído por padrão no Ubuntu 15.04, por isso provavelmente virá no Ubuntu GNOME 15.10.

Gnome-Unity-Logo

O GNOME é uma parte intrínseca do ambiente de trabalho Unity, usado regularmente por milhões de pessoas ao redor do mundo, e a sábia decisão foi feita para ficar com a mais velha, mas exaustivamente testada versão, a 3.14 do GNOME.

Você pode, você deve querer, atualizar GNOME 3,14-3,16 no Ubuntu – mas não é recomendado.

Atualizando GNOME envolve mais do que alguns aplicativos e temas de ícones. Você está trocando componentes mais antigos, bem testados de seu sistema operacional para mais recentes, em grande parte, substituições não testadas.

Se você é “entomophobic” (uma palavra chique para quem tem medo de bugs) ou odeia dores de cabeça com softwares (sem palavra chique para que) este tutorial não é para você.

Para repetir: você pode atualizar para o GNOME 3.16 no Ubuntu 15.04, mas  não é recomendável  e pode não ficar estável.

Por isso sugiro este procedimento apenas em ambiente de testes, bem como em máquinas virtuais.

OK?

Como atualizar para o GNOME 3.16 no Ubuntu 15.04

gnome-viewer

Para seguir este guia será necessário o já estar rodando GNOME 3.14 no ambiente de trabalho, de preferência a última versão do Ubuntu GNOME 15,04 (que acompanha isto por padrão).

Você pode instalar o Gnome em versões do Ubuntu 15.04 com Unity também, mas isso pode quebrar o ambiente de trabalho Unity inteiramente.

Usuários com o Unity devem instalar o desktop GNOME-Shell antes de continuar. Se for o seu caso, clique no botão abaixo para instalá-lo.

Instale o Gnome-Shell no Ubuntu 15.04

Aqueles que executam versões mais antigas do Ubuntu, como 14.10 ou 14.04 LTS,  não pode atualizar para o GNOME 3.16, seguindo este guia.

1. Adicione o PPA Staging do GNOME 3

Para atualizar vamos adicionar o PPA GNOME 3 Staging. Este PPA é experimental e contém a maioria dos diversos pacotes necessários para executar a atualização para o 3.16, ainda que em um estado não muito testado.

Não adicione este PPA se você está exigindo um sistema estável, se você é alguém que odeia a linha de comando, ou não se sentir confiante no conserto de pacotes quebrados ou conflitantes.

O GNOME 3 Staging PPA não vem com nenhuma garantia, e os mantenedores do repositório publicaram esta nota de cautela:

“Os pacotes [neste PPA] foram consideradas não prontos para uso geral, eles têm erros conhecidos e / ou regressões, por vezes de natureza crítica. As coisas principais devem funcionar sem problemas, mas esteja preparado para usar “ppa-purge”, quando você encontrar problemas!”

O PPA padrão do GNOME 3 é mais confiável, e os pacotes dentro dele são consideradas “estáveis”. Este PPA pode, em algum momento no futuro, conter o GNOME 3.16.

Mas, antes de adicionar qualquer PPA vamos fazer uma última verificação para (e instale todas as atualizações disponíveis) da distribuição em uso:

sudo apt-get update && sudo apt-get dist-upgrade -y

Com isso feito, podemos adicionar o PPA padrão do GNOME 3 e do GNOME 3 Staging nas fontes de Software do Ubuntu.

A maneira mais rápida de fazer isso é inserindo os seguintes comandos no terminal:

sudo add-apt-repository ppa:gnome3-team/gnome3-staging

sudo add-apt-repository ppa:gnome3-team/gnome3

2. Atualização do GNOME

Tendo acrescentado as estes PPA´s precisaremos no próximo passo atualizar o GNOME 3.

Respire fundo e execute o seguinte comando:

sudo apt-get update && sudo apt-get install gnome-shell gnome-session

Preste atenção a quaisquer avisos que aparecem no terminal após a execução deste comando. Com base no seu nível de compreensão do que você vê, para decidir se deseja continuar.

O processo de instalação / upgrade começará.

Lightdm ou GDM?

mudança gerenciador de exibição ubuntuSe você não está rodando Ubuntu GNOME, em algum momento durante o processo de instalação / atualização, será solicitado a escolher um “display manager padrão” a partir de uma lista.

O “gerenciador de exibição” lida com a experiência da tela de login.

Para uma experiência do GNOME puro, use as setas do teclado para selecionar a (GNOME Display Manager) entrada “GDM” da lista que mostra, e aperte enter.

Para tela de login do Ubuntu estoque selecionar ‘LightDM’ (Light Display Manager) e aperte enter.

Não se desespere se você selecionar o gerenciador de login errado. Você pode  mudar o gerenciador de login padrão do Ubuntu a qualquer momento, usando o seguinte comando:

sudo dpkg-reconfigure LightDM

Quando terminar, reinicialize e faça login usando o Gnome

sessões

Quando GNOME 3.16 concluiu a instalação e/ou a atualização você vai precisar reiniciar o computador.

Isso é necessário para garantir que os novos pacotes instalados tenham efeito, como o display manager, por exemplo.

Se você instalar ou atualizar a partir de uma sessão de desktop não-GNOME, não se esqueça de selecionar a sessão do GNOME a partir da tela de login. (conforme imagem ao lado)

É isso aí. Agora você deve estar executando um (principalmente) GNOME 3.16 no Ubuntu.

Mas podemos ir um pouco mais, também.

Instalar alguns aplicativos do GNOME

Ubuntu GNOME embarca com um monte de aplicativos GNOME por padrão, mas não todos. O Ubuntu vem com quase nenhum.

O seguinte comando instala alguns fundamentos, incluindo  Polari  (cliente IRC),  GNOME Mapas  (app mapeamento área de trabalho) e o Web (um leve web-browser):

sudo apt-get install polari gnome-music gnome-photos gnome-maps gnome-weather epiphany-browser

Há mais do que isso disponível, mas estes devem dar-lhe uma boa base para o uso.

Como fazer o downgrade do GNOME 3.16 para o 3.14

Lembre-se que eu disse sobre esta atualização não sendo recomendada? Você lembra? Bom!

Se você encontrar problemas significativos com o seu sistema após a instalação do GNOME 3.16 você pode usar a ferramenta PPA Purge para remover o PPA Staging e todos os seus pacotes:

sudo apt-get install ppa-purge
sudo ppa-purge ppa:gnome3-team/gnome3-staging

Por último, livre-se do PPA padrão do GNOME 3:

sudo ppa-purge ppa:gnome3-team/gnome3

Reinicie o computador e você deve estar de volta para a versão de “stock” do desktop GNOME no Ubuntu 15.04.

Não tem nem o Ubuntu-Gnome 3.14 ainda?
Então baixe-o:

Download Ubuntu GNOME 15.04

É isso aí pessoal,

Cleuber.

fonte: OMG Ubuntu

About cleuberadmin

Cleuber Silva Hashimoto. Administrador

Leave a Reply

Your email address will not be published. Required fields are marked *

*

x

Check Also

Coisas Básicas a Fazer Depois de Instalar o Elementary OS 0.4 Loki

Olá pessoal. Como vocês devem saber, ...